{
  "BrowseFullVal": "ns=1;s=/swcp-assets",
  "BrowseNSIndex": 1,
  "BrowseValue": 5001,
  "keyPartCount": "",
  "isMulti": true,
  "keyPartCountTav": {
    "TAV_1": "Mes a Piece Counter",
    "TAV_2": "Mes U Piece Counter"
  },
  "keyPartReq": "",
  "keyPartId": "",
  "keyProgName": "",
  "keyRunMode": "",
  "pingAsPowerOn": true,
  "Identity": {},
  "condWork": [
    {
      "keyName": "Warning Light Green",
      "targetValue": "True"
    }
  ],
  "condWorkOpc": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "Warning Light Green",
        "targetValue": "True"
      }
    ]
  },
  "condActTav1": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "T1 Working Area",
        "targetValue": "True"
      }
    ]
  },
  "condActTav2": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "T2 Working Area",
        "targetValue": "True"
      }
    ]
  },
  "condPowerOn": {
  },
  "condReady": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "Warning Light Blue",
        "targetValue": "True"
      }
    ]
  },
  "condManual": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "Warning Light Yellow",
        "targetValue": "True"
      }
    ]
  },
  "condEStop": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "Emergency Stop",
        "targetValue": "False"
      }
    ]
  },
  "condError": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "Warning Light Red",
        "targetValue": "True"
      }
    ]
  },
  "condCountEnabled": {
    "checkMode": "AND",
    "checkList": []
  },
  "condWarmUpCoolDown": {
    "checkMode": "OR",
    "negateValue": true,
    "checkList": [
    ]
  },
  "fluxLogVeto": [
    "L2p1CommonVariable"
  ],
  "itemTranslation": {
    "avail": "Machine Available",
    "rstat": "Execution Mode",
    "mode": "Controller Mode",
    "ncprog": "Program Name",
    "IO_150": "Qta Prodotta (metri)",
    "lpremain": "Qta Richiesta",
    "fdovrd": "PATH FEED OVERRIDE",
    "rovrd": "PATH RAPID OVERRIDE"
  },
  "paramsEndThresh": {
    "actFeedRateIpoOvr": 10,
    "feedRateIpoOvr": 10
  },
  "paramsContainsThresh": {
  },
  "filterItemsNodeId": [
    "ns=2;s=/Axis"
  ],
  "subscribedItems": [
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Actual_CycleTime_T1",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Actual_CycleTime_T2",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/AXIS_X_LOAD",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/AXIS_Y1_LOAD",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/AXIS_Z_LOAD",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Emergency_Stop",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/FEEDRATE_OVERRIDE",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_A_PIECE_COUNTER",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_PIECE_TARGET",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_RESET_COUNTER_TRIGGER",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_STRING1",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_STRING2",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_STRING3",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_OPTIONAL_STRING_NAME1",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_OPTIONAL_STRING_NAME2",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_OPTIONAL_STRING_NAME3",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_ORDER_A",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_ORDER_U",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_PIECE_TARGET",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_RESET_COUNTER_TRIGGER",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_STRING1",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_STRING2",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_STRING3",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_U_PIECE_COUNTER",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/NC_PROGRAM_PATH",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/NUMBER_ALARMS",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/OM_AUTO_Activ",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/OM_JOG_Activ",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/OM_MDA_Activ",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/OPERATION_MODE",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/PART_NUMBER",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Producing_Machine",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Producing_Machine_Auto",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/SPINDLE_1_LOAD",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/SPINDLE_2_LOAD",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/SPINDLE_OVERRIDE",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/SYSTEM_OPERATION_TIME",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/T1_WorkingArea",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/T2_WorkingArea",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/TEMPERATURE_ELECTRIC_CABINET",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/TEMPERATURE_HYDRAULIC_OIL",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/TEMPERATURE_SURROUNDING",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Tot_Parts_Counter_NOK",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/Tot_Parts_Counter_OK",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/WORKING_TIME",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/WarningLight_Blue",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/WarningLight_Green",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/WarningLight_Red",
    "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/WarningLight_Yellow"
  ],
  "mMapWrite": {
    "setComm#TAV_1": {
      "name": "setComm#TAV_1",
      "description": "Commessa TAV1 (A)",
      "tipoMem": "String",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_ORDER_A",
      "index": 0,
      "size": 20
    },
    "setArt#TAV_1": {
      "name": "setArt#TAV_1",
      "description": "Articolo TAV1 (A)",
      "tipoMem": "String",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_STRING1",
      "index": 0,
      "size": 20
    },
    "setPzComm#TAV_1": {
      "name": "setPzComm#TAV_1",
      "description": "Qty TAV1 (A)",
      "tipoMem": "Int",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_PIECE_TARGET",
      "index": 0,
      "size": 4
    },
    "forceResetPzCount#TAV_1": {
      "name": "forceResetPzCount#TAV_1",
      "description": "Reset Contapezzi TAV1 (A)",
      "tipoMem": "Boolean",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_A_RESET_COUNTER_TRIGGER",
      "index": 0,
      "size": 1
    },
    "setComm#TAV_2": {
      "name": "setComm#TAV_2",
      "description": "Commessa TAV2 (U)",
      "tipoMem": "String",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_ORDER_U",
      "index": 0,
      "size": 20
    },
    "setArt#TAV_2": {
      "name": "setArt#TAV_2",
      "description": "Articolo TAV2 (U)",
      "tipoMem": "String",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_STRING1",
      "index": 0,
      "size": 20
    },
    "setPzComm#TAV_2": {
      "name": "setPzComm#TAV_2",
      "description": "Qty TAV2 (U)",
      "tipoMem": "Int",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_PIECE_TARGET",
      "index": 0,
      "size": 4
    },
    "forceResetPzCount#TAV_2": {
      "name": "forceResetPzCount#TAV_2",
      "description": "Reset Contapezzi TAV2 (U)",
      "tipoMem": "Boolean",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_OUT_U_RESET_COUNTER_TRIGGER",
      "index": 0,
      "size": 1
    }
  },
  "mMapRead": {
    "OPC_MES_A_PIECE_COUNTER": {
      "name": "OPC_MES_A_PIECE_COUNTER",
      "description": "Contatore Tavola 1 (A)",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_A_PIECE_COUNTER",
      "tipoMem": "Int",
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "unit": "#",
      "displOrdinal": 1
    },
    "OPC_MES_U_PIECE_COUNTER": {
      "name": "OPC_MES_U_PIECE_COUNTER",
      "description": "Contatore Tavola 1 (U)",
      "memAddr": "ns=1;s=/swcp-assets/137eada7-bd15-474d-8aaf-4e6f2f8ea72a/MES_U_PIECE_COUNTER",
      "tipoMem": "Int",
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "unit": "#",
      "displOrdinal": 1
    }
  }
}